Rivet::JetAlg Class Referenceabstract

Abstract base class for projections which can return a set of Jets. More...

`#include <JetAlg.hh>`

Inheritance diagram for Rivet::JetAlg:

## Public Types

typedef Jet | entity_type
typedef Jets | collection_type

## Public Member Functions

| JetAlg (const FinalState &fs)
| Constructor.
virtual const Projection * | clone () const =0
| Clone on the heap.
virtual | ~JetAlg ()
| Destructor.
void | useInvisibles (bool useinvis=true)

Include invisible particles in jet construction. The default behaviour is that jets are only constructed from visible (i.e. charged under an SM gauge group) particles. Some jet studies, including those from ATLAS, use a definition in which neutrinos from hadron decays are included (via MC correction) in the experimental jet definition. Setting this flag to true avoids the automatic restriction to a VisibleFinalState.

virtual Jets | jets (double ptmin=0.0, double ptmax=MAXDOUBLE, double rapmin=-MAXDOUBLE, double rapmax=MAXDOUBLE, RapScheme rapscheme=PSEUDORAPIDITY) const
template<typename F >
Jets | jets (F sorter, double ptmin, double ptmax, double rapmin, double rapmax, RapScheme rapscheme) const
Jets | jetsByPt (double ptmin=0.0, double ptmax=MAXDOUBLE, double rapmin=-MAXDOUBLE, double rapmax=MAXDOUBLE, RapScheme rapscheme=PSEUDORAPIDITY) const
Jets | jetsByP (double ptmin=0.0, double ptmax=MAXDOUBLE, double rapmin=-MAXDOUBLE, double rapmax=MAXDOUBLE, RapScheme rapscheme=PSEUDORAPIDITY) const
Jets | jetsByE (double ptmin=0.0, double ptmax=MAXDOUBLE, double rapmin=-MAXDOUBLE, double rapmax=MAXDOUBLE, RapScheme rapscheme=PSEUDORAPIDITY) const
Jets | jetsByEt (double ptmin=0.0, double ptmax=MAXDOUBLE, double rapmin=-MAXDOUBLE, double rapmax=MAXDOUBLE, RapScheme rapscheme=PSEUDORAPIDITY) const
virtual size_t | size () const =0
| Number of jets.
virtual void | reset ()=0
| Clear the projection.
collection_type | entities () const
| Template-usable interface common to FinalState.
virtual void | calc (const ParticleVector &ps)=0
| Do the calculation locally (no caching).
Public Member Functions inherited from Rivet::Projection
bool | before (const Projection &p) const
virtual const std::set< PdgIdPair > | beamPairs () const
virtual std::string | name () const
| Get the name of the projection.
Projection & | addPdgIdPair (PdgId beam1, PdgId beam2)
| Add a colliding beam pair.
Log & | getLog () const
| Get a Log object based on the getName() property of the calling projection object.
void | setName (const std::string &name)
| Used by derived classes to set their name.
| Projection ()
| The default constructor.
virtual | ~Projection ()
| The destructor.
Public Member Functions inherited from Rivet::ProjectionApplier
| ProjectionApplier ()
| Constructor.
std::set< ConstProjectionPtr > | getProjections () const
| Get the contained projections, including recursion.
template<typename PROJ >
const PROJ & | getProjection (const std::string &name) const
| Get the named projection, specifying return type via a template argument.
const Projection & | getProjection (const std::string &name) const
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const PROJ &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const Projection &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const std::string &name) const
| Apply the named projection on event.

## Protected Member Functions

virtual void | project (const Event &e)=0
| Perform the projection on the Event.
virtual int | compare (const Projection &p) const =0
| Compare projections.
Protected Member Functions inherited from Rivet::Projection
Cmp< Projection > | mkNamedPCmp (const Projection &otherparent, const std::string &pname) const
Cmp< Projection > | mkPCmp (const Projection &otherparent, const std::string &pname) const
Protected Member Functions inherited from Rivet::ProjectionApplier
Log & | getLog () const
ProjectionHandler & | getProjHandler () const
| Get a reference to the ProjectionHandler for this thread.
template<typename PROJ >
const PROJ & | addProjection (const PROJ &proj, const std::string &name)

## Detailed Description

Abstract base class for projections which can return a set of Jets.

## Member Function Documentation

virtual Jets Rivet::JetAlg::jets | ( | double | ptmin = `0.0`,
|  | double | ptmax = `MAXDOUBLE`,
|  | double | rapmin = `-MAXDOUBLE`,
|  | double | rapmax = `MAXDOUBLE`,
|  | RapScheme | rapscheme = `PSEUDORAPIDITY`
| ) |  | const

inline virtual

Get jets in no guaranteed order, with optional cuts on and rapidity.

Todo:
  Introduce MomentumFilter objects for pT, ET, eta, y, etc. filtering, to avoid double-arg ambiguities

References Rivet::FourVector::eta(), Rivet::inRange(), Rivet::Jet::momentum(), Rivet::FourMomentum::pT(), and Rivet::FourMomentum::rapidity().

Referenced by entities(), jets(), jetsByE(), jetsByEt(), jetsByP(), and jetsByPt().

template<typename F >

Jets Rivet::JetAlg::jets | ( | F | sorter,
|  | double | ptmin,
|  | double | ptmax,
|  | double | rapmin,
|  | double | rapmax,
|  | RapScheme | rapscheme
| ) |  | const

inline

Get the jets, ordered by supplied sorting function object, with optional cuts on and rapidity.

Todo:
  Introduce MomentumFilter objects for pT, ET, eta, y, etc. filtering, to avoid double-arg ambiguities

References jets().

Jets Rivet::JetAlg::jetsByE | ( | double | ptmin = `0.0`,
|  | double | ptmax = `MAXDOUBLE`,
|  | double | rapmin = `-MAXDOUBLE`,
|  | double | rapmax = `MAXDOUBLE`,
|  | RapScheme | rapscheme = `PSEUDORAPIDITY`
| ) |  | const

inline

Get the jets, ordered by , with optional cuts on and rapidity.

Todo:
  Introduce MomentumFilter objects for pT, ET, eta, y, etc. filtering, to avoid double-arg ambiguities

References Rivet::cmpJetsByE(), and jets().

Jets Rivet::JetAlg::jetsByEt | ( | double | ptmin = `0.0`,
|  | double | ptmax = `MAXDOUBLE`,
|  | double | rapmin = `-MAXDOUBLE`,
|  | double | rapmax = `MAXDOUBLE`,
|  | RapScheme | rapscheme = `PSEUDORAPIDITY`
| ) |  | const

inline

Get the jets, ordered by , with optional cuts on and rapidity.

Todo:
  Introduce MomentumFilter objects for pT, ET, eta, y, etc. filtering, to avoid double-arg ambiguities

References Rivet::cmpJetsByEt(), and jets().

Jets Rivet::JetAlg::jetsByP | ( | double | ptmin = `0.0`,
|  | double | ptmax = `MAXDOUBLE`,
|  | double | rapmin = `-MAXDOUBLE`,
|  | double | rapmax = `MAXDOUBLE`,
|  | RapScheme | rapscheme = `PSEUDORAPIDITY`
| ) |  | const

inline

Get the jets, ordered by , with optional cuts on and rapidity.

Todo:
  Introduce MomentumFilter objects for pT, ET, eta, y, etc. filtering, to avoid double-arg ambiguities

References Rivet::cmpJetsByP(), and jets().

Jets Rivet::JetAlg::jetsByPt | ( | double | ptmin = `0.0`,
|  | double | ptmax = `MAXDOUBLE`,
|  | double | rapmin = `-MAXDOUBLE`,
|  | double | rapmax = `MAXDOUBLE`,
|  | RapScheme | rapscheme = `PSEUDORAPIDITY`
| ) |  | const

inline

Get the jets, ordered by , with optional cuts on and rapidity.

Todo:
  Introduce MomentumFilter objects for pT, ET, eta, y, etc. filtering, to avoid double-arg ambiguities

References Rivet::cmpJetsByPt(), and jets().

The documentation for this class was generated from the following files:

- include/Rivet/Projections/JetAlg.hh
- src/Projections/JetAlg.cc